A_Road_Through_the_Dark = class(Window);

function A_Road_Through_the_Dark: GetName()
	return "A Road Through the Dark";
end

function A_Road_Through_the_Dark: IsRunning()
	return (self.window ~= nil);
end

function A_Road_Through_the_Dark: Start()
	--Prevenindo criação duplicada
	if (self.window ~= nil) then
		return; -- return empty == break
	end

	-- Cria uma janela para mostrar as informações da quest
	self.window = Turbine.UI.Lotro.GoldWindow();
	self.window:SetPosition(625, 50);
	self.window:SetSize(520, 600);
	self.window:SetResizable(true);
	self.window:SetText("Uma Estrada Através do Escuro"); --título da janela
	self.window:SetVisible(true);

	self.window.Closed = function(sender, args)
		self:Stop();
	end

	-- Cria o label com os textos da quest
	self.label = Turbine.UI.Label();
	self.label:SetParent(self.window);
	self.label:SetPosition(15, 40);
	self.label:SetSize(490, 530);
	self.label:SetBackColor(Turbine.UI.Color(1, 0, 0, 0));--bkg color black
	self.label:SetForeColor(Turbine.UI.Color(1, 1, 0.721, 0.109));--text color golden
	self.label:SetTextAlignment(Turbine.UI.ContentAlignment.TopLeft);
	self.label:SetMultiline(true);
	self.label:SetSelectable(true)

	-- STARTS WITH -MAP REF com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:SetText("Onde Começa (STARTS WITH - MAP REF):");

	-- adiciona (append) STARTS WITH - MAP REF
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\n-Bounder Boffin, na Região d'O Shire - 33.8S, 68.0W");

	-- BESTOWAL DIALOGUE com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nDiálogo Inicial (BESTOWAL DIALOGUE):");

	-- adiciona (append) o BESTOWAL DIALOGUE traduzido
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\n'Enquanto o Personagem sai para um passeio noturno no Condado, há uma certa sensação desagradável persistindo... algo no ar está estranho esta noite. Talvez seja apenas o frio fora de época, ou a grande escuridão desta noite em particular. Mas certamente não é nada digno de nota, pois este é o Condado, e é realmente raro que qualquer mal toque a esta terra.'");

	-- BACKGROUND com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nContexto da História (BACKGROUND):");

	-- adiciona (append) o background dessa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\nEnquanto o Personagem sai para um passeio noturno, <seu personagem> encontra Bounder Boffin, o Patrulheiro, em uma estrada especialmente escura no Condado.");

	-- OBJETIVOS com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nObjetivos e Falas dos NPCs (OBJECTIVES):");

	-- adiciona (append) a lista de objetivos da quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\n1- Subir a estrada:\nO Personagem está dando um passeio, mas alguém parece estar na estrada à frente (uma ocasião tranquila para um encontro inesperado).\n\nO Personagem deve falar com o companheiro na estrada à sua frente. Clique com o Botão Direito do Mouse nas pessoas para interagir.\n\nO Personagem está passeando e parece haver outra pessoa na estrada\n\n2- Subir a estrada:\nO Personagem está dando um passeio, mas alguém parece estar na estrada à frente (uma ocasião tranquila para um encontro inesperado).\n\nO Personagem deve falar com o companheiro na estrada à frente.\n\nBounder Boffin diz: 'Quem vem lá?'\nBounder Boffin diz: 'Quem é você e o que você quer?'\nO Personagem deveria falar com o Hobbit que está chamando.\n\n3- Falar com o companheiro na estrada: \n\nO Personagem encontrou um Patrulheiro abalado na estrada em Green Hill Country (Região das Colinas Verdes).\n\nO Personagem deve falar com Bounder Boffin, o Patrulheiro, para ouvir o que ele tem a dizer.\n\nBounder Boffin: 'Quem vem lá? Qual é o seu negócio na estrada? Eu sou um Patrulheiro - responda-me imediatamente!' \n\nO Hobbit fica assustado, mas o alarme em seu rosto se transforma em alívio quando ele vê o rosto do Viajante.\n\n'Oh, que alívio - um Hobbit! Sinto muito; Só levei um susto. Algo não parece certo esta noite.\n\nO Personagem ouve o que Bounder Boffin, o Patrulheiro, tem a dizer...\n\nBounder Boffin diz: 'Você me assustou, só isso.'\nBounder Boffin diz: 'Há um frio estranho no ar esta noite - muito estranho. Você sente isso?' (um leve calafrio os envolve)\nBounder Boffin diz: 'Nós dois nos sentiremos mais seguros se você vier comigo. Você sabe lutar, <seu personagem> ?'\nBounder Boffin diz: 'Você só precisa de uma arma de algum tipo.'\nBounder Boffin diz: 'Aqui está a Bolsa que deixei cair quando você me assustou.'\nBounder Boffin diz: 'Dentro dela tem uma arma sobressalente. Você deve pegá-la para si mesmo e depois equipá-la para usá-la.' \n\n4- Examinar a Bolsa na beira da estrada: \n\nA Bolsa está perto de Bounder Boffin, o Patrulheiro, na estrada.\n\nO Personagem deve espiar dentro da Bolsa para ver se ela contém alguma coisa que possa ser útil para <seu personagem> em uma noite escura como esta.\n\nHá uma arma na Bolsa. Agora o Personagem deve pegá-la e equipá-la antes de tentar lutar.\n\n5- Falar com Bounder Boffin, o Patrulheiro, para começar a prática: \n\nBounder Boffin, o Patrulheiro, deseja ver se o Personagem é capaz de empunhar uma lâmina para se defender.\n\nO Personagem deve praticar com Bounder Boffin, o Patrulheiro, para que ambos se sintam mais confiantes na estrada escura.\n\nBounder Boffin: 'Você já equipou sua arma, <seu personagem> ? Então, vamos praticar um com o outro agora!' \nO Personagem deve praticar suas habilidades em duelo contra Bounder Boffin, o Patrulheiro.\n\nBounder Boffin diz: 'Tente vir até mim, <seu personagem> !'\nBounder Boffin diz: 'Muito bem! Você deveria considerar ser um Patrulheiro algum dia!' \n\nO Personagem provou que pode lutar; agora é mais seguro prosseguir na patrulha.\n\n6- Seguir Bounder Boffin: \n\nBounder Boffin, o Patrulheiro, deseja patrulhar a estrada, pois teve uma sensação estranha sobre esta noite.\n\nO Personagem deveria patrulhar a estrada com Bounder Boffin, o Patrulheiro.\n\nBounder Boffin diz: 'Oh! Você ouviu alguma coisa?' (alguns passos se aproximando)\nBounder Boffin diz: 'Ali, descendo a estrada! Quem poderia ser?' \n\nPeregrin Took diz: 'Estou com fome! Estamos caminhando há pelo menos uma hora!'\nSamwise Gamgee diz: 'Você comeu meu pão e o seu, não faz muito tempo, Sr. Pippin.'\nPeregrin Took diz: 'Agora Sam, não seja mesquinho! Eu sei que você tem outro. Vamos comê-lo aqui!'\nFrodo Bolseiro diz: 'Pobre Sam! Você nunca mais terá uma refeição tranquila - olá, quem é?' \n\nBounder Boffin diz: 'Mais viajantes à noite! E quem você pode ser?'\nFrodo Bolseiro diz: 'Bem conhecido, meu bom Patrulheiro! Meu nome é... Underhill.'\nFrodo Bolseiro diz: 'E aqui estão meus companheiros de viagem, Samwise Gamgee e Peregrin Took'.\nBounder Boffin diz: 'Ora, eu nunca vi tantos Hobbits fora da cama! E em uma noite tão estranha também.'\nPeregrin Took diz: 'Estranho? Mas é uma noite linda para um passeio!'\nFrodo Bolseiro diz: 'Silêncio, Pippin... O que você quer dizer com estranho? Você viu alguma coisa estranha na estrada?'\nSamwise Gamgee diz: 'Mercy, o que é isso?'\nFrodo Bolseiro diz: 'Eu acho...'\nFrodo Bolseiro diz: '...Acho que devemos sair dessa estrada imediatamente.'\nPeregrin Took diz: 'Você não precisa me dizer isso duas vezes!'\nSamwise Gamgee diz: 'Sr. Frodo! O que você está esperando?'\nFrodo Bolseiro diz: '... Estou indo, Sam.' \n\nBlack Rider diz: 'Hssss... fiquem, Halflings!'\nBlack Rider diz: 'Onde está Bagginss, o Bolseiro? Fale!'\nBounder Boffin diz: 'N-não há B-bolseiros por aqui, Cavaleiro!'\nBlack Rider diz: 'Pequenos tolos...'\nBounder Boffin diz: 'Oh! Você viu isso, <seu personagem> ?'\nBlack Rider diz: 'Vou lidar com vocês depois!' \n\nBounder Boffin diz: 'V-vamos sair daqui!'\nBounder Boffin diz: 'Odo's Leaf Farm (Fazenda de Folhas de Odo)! Vou abrir essa porta e podemos passar...'\nBounder Boffin diz: 'Entendi!'\nBounder Boffin diz: 'Eek! Aranhas!'\nBounder Boffin diz: 'Como eu detesto aranhas!'\nBounder Boffin diz: 'Você vai limpar o caminho, <seu personagem> ?' \n\nAranhas ameaçadoras bloqueiam o caminho\n\n7 e 8- Derrotar Aranhas (0/2): \n\nAs Aranhas estão na Odo's Leaf Farm (Fazenda de Folhas de Odo).\n\nBounder Boffin, o Patrulheiro, tem medo de Aranhas e deseja que o Personagem limpe o caminho antes que ele se aventure mais abaixo.\n\nBounder Boffin diz: 'Eu odeio Aranhas...'\nBounder Boffin diz: 'Vamos continuar!' \n\n9- Falar com Bounder Boffin: \n\nBounder Boffin, o Patrulheiro, está esperando pelo Personagem no caminho.\n\nO Personagem deve falar com Bounder Boffin, o Patrulheiro, antes de continuar sua fuga pela fazenda.\n\nBounder Boffin: 'Você é um Hobbit mais ousado do que eu! Muito bem, <seu personagem> . Vamos continuar!' \n\n10- Seguir Bounder Boffin, o Patrulheiro: \n\nBounder Boffin, o Patrulheiro, está esperando pelo Personagem no caminho.\n\nO Personagem deve seguir Bounder Boffin, o Patrulheiro, para escapar da ameaça na estrada.\n\nBounder Boffin diz: 'Puxa! Eu só preciso encontrar a chave...'\nBounder Boffin diz: 'Aqui vamos nós.'\nBounder Boffin diz: 'Entendi!'\nBounder Boffin diz: 'Misericórdia! Teias de Aranha!'\nBounder Boffin diz: 'Você já viu teias tão enormes, <seu personagem> ?' \n\n11- Derrotar Aranhas Atacantes (0/3): \n\nBounder Boffin, o Patrulheiro, precisará de proteção contra Aranhas enquanto corta suas teias resistentes.\n\nO Personagem deve derrotar as Aranhas e proteger Bounder Boffin, o Patrulheiro, enquanto ele tenta colocá-lo em segurança.\n\nBounder Boffin diz: 'Eu vou cortar as teias. Você vai me proteger de qualquer Aranha que aparecer?'\nBounder Boffin diz: 'Eu odeio Aranhas...' \n\n12- Falar com Bounder Boffin: \n\nBounder Boffin, o Patrulheiro, está tentando chegar em segurança através da Odo's Leaf Farm (Fazenda de Folhas de Odo).\n\nO Personagem deve seguir Bounder Boffin, o Patrulheiro, para uma estrada mais segura, que levará ambos a uma cidade próxima.\n\nBounder Boffin: 'Estamos perto agora, <seu personagem> ! A Odo's Leaf Farm (Fazenda de Folhas de Odo) nos levará em segurança até a estrada, e de lá podemos chegar à cidade mais próxima... espero que sem encontrar Aranhas, ou coisa pior. \n\n13- Seguir Bounder Boffin: \n\nBounder Boffin, o Patrulheiro, está tentando chegar em segurança através da Odo's Leaf Farm (Fazenda de Folhas de Odo).\n\nO Personagem deve seguir Bounder Boffin, o Patrulheiro, para uma estrada mais segura, que levará ambos a uma cidade próxima.\n\nBounder Boffin diz: 'Ah! Finalmente.'\nBounder Boffin diz: 'Não vejo mais Aranhas! Viva!' \n\n14 e 15- Seguir Bounder Boffin: \n\nBounder Boffin, o Patrulheiro, está tentando chegar em segurança através da Odo's Leaf Farm (Fazenda de Folhas de Odo).\n\nO Personagem deve seguir Bounder Boffin, o Patrulheiro, para uma estrada mais segura, que levará ambos a uma cidade próxima.\n\nBounder Boffin diz: 'Esta é a última porta até chegarmos à estrada!'\nBounder Boffin diz: 'Conseguimos! Há um caminho à frente!'\nMundo Sackville-Baggins diz: 'Bandidos! Estamos sendo perseguidos!'\nCelandine Brandybuck diz: 'Socorro! Socorro!'\nBounder Boffin diz: 'Mundo Sackville-Baggins! Celandine Brandybuck! O que você está fazendo aqui?'\nMundo Sackville-Baggins diz: 'Como é, seu bobo?'\nMundo Sackville-Baggins diz: 'Estamos sendo perseguidos por Bandidos! Faça algo a respeito!'\nCelandine Brandybuck diz: 'Venha, vamos cortar caminho pela fazenda! Podemos trancá-los!'\nBounder Boffin diz: 'Mas-mas há Aranhas atrás daquela porta, e um terrível Cavaleiro na estrada! Acabamos de escapar!'\nO Brigand Leader diz: 'Lá estão eles!' \nBrigand diz: 'Pegue-os!'\nBounder Boffin diz: 'Bandidos! Socorro!'\nCelandine Brandybuck diz: 'Afastem-se, seus brutos!'\nBrigand Leader diz: 'Você não vai fugir de nós desta vez, Sr. Bolseiro!'\nBrigand diz: 'Finalmente peguei você! Você não tem para onde correr.'\nO Brigand Leader diz: 'Vocês virão para Archet conosco, todos vocês. O Cavaleiro decidirá o seu destino lá!'\nBounder Boffin diz: 'Oh!'\nMundo Sackville-Baggins diz: 'Ai!'\nCelandine Brandybuck diz: 'Seus vilões! O que você quer com o Mundo Sackville-Baggins?'\nO Brigand Leader diz: 'Seu Sr. Bolseiro é procurado por alguém que está nos prestando uma grande ajuda em troca de encontrá-lo.'\nBrigand diz: 'Os Blackwolds terão um poder inimaginável agora, graças ao seu Sr. Bolseiro!' \n\nO Personagem acordou dentro de uma prisão, cercado por Bandidos.\n\n16 e 17- Tentar sair da cela: \n\nO Personagem está em uma cela aprisionado, cercado pelos Bandidos que sequestraram o Personagem e seus companheiros Hobbits.\n\nBrigand diz: 'Os Blackwolds terão um poder inimaginável agora, graças ao seu Sr. Bolseiro!'\nStrider diz: 'Hobbits parecem aparecer nos lugares mais improváveis, Bounder Boffin!'\nStrider diz: 'Existem outros Hobbits esperando por resgate neste lugar perigoso, Sr. Boffin?'\nBounder Boffin diz: 'Não, Sr. Ranger! Só eu, <seu personagem> , Celandine e Mundo Sackville-Baggins!'\nStrider diz: 'Isso é um alívio! Agora venham comigo, vocês dois.' \n\nVocê deve falar com o Ranger de aparência sombria\n\n18- Falar com o Strider: \n\nUm Homem misterioso e desgastado pelo tempo está esperando pelo Personagem na prisão de Brigand.\n\nO Personagem deve falar com o seu Libertador para que ele possa guiá-lo para fora do perigo.\n\nStrider: 'Venha, <seu personagem> ! Eu posso ver que você tem um espírito corajoso, mas é hora de fugir. O Bolseiro que eles capturaram não é o Bolseiro que está sendo caçado.\n\n- Os Bandidos não nos seguirão quando souberem de seu erro, mas seria sensato estar longe daqui.\n\n'Meu companheiro está lá fora, ajudando a resgatar seus amigos. Vamos nos juntar a eles!' \n\nSeguir Strider enquanto ele ajuda o Personagem a escapar\n\n19- Seguir Strider: \n\nA porta que leva o Personagem para fora da prisão fica no corredor da cela.\n\nO Personagem deve seguir Strider até a porta da prisão.\n\nStrider diz: 'Amdir!'\nAmdir diz: 'Strider! Não posso segurá-lo, meu amigo!'\n\n20- Seguir Strider: \n\nAmdir ajudou a resgatar os amigos dos cruéis Bandidos.\n\nAgora o Personagem deve se encontrar com o companheiro de Strider, um Ranger chamado Amdir.\n\nStrider diz: 'A porta está trancada! Segure firme, Amdir!'\nBounder Boffin diz: 'Ó, ajude-nos!'\nAmdir diz: 'Volte, espectro! Vá embora!'\nAmdir diz: 'Ahh...!'\nStrider diz: 'Não!'\nBlack Rider diz: 'Basta!'\nBlack Rider diz: 'Este não é o fim, Dúnadan.'\nStrider diz: 'Venham, Hobbits. Está seguro agora.'\nCelandine Brandybuck diz: 'Pobre Amdir!' \n\nBlack Rider se foi, mas o companheiro de Strider, Amdir, está gravemente ferido.\n\n21- Falar com o Strider: \n\nStrider agora se ajoelha ao lado de seu amigo gravemente ferido, Amdir.\n\nO Personagem deveria falar com Strider, pois ele saberá melhor o que fazer a seguir.\n\nStrider: 'Fique perto de mim esta noite, <seu personagem> ...precisamos colocar Amdir em segurança. É para Archet que devo fugir!\n\n- Bounder Boffin, você deveria voltar para o Condado. Seus limites devem ser mantidos seguros. Celandine, Mundo Sackville-Baggins, o Bolseiro, - venham comigo. Eu me preocupo com a segurança de Mundo Sackville-Baggins, o Bolseiro, quando todos os Bandidos, a oeste da Greenway, estão procurando por 'Bolseiros'. Infelizmente, minha verdadeira carga deve esperar!' \nDesbloqueou o filme 'Hobbits e Homens - Jailbreak'.\n");

	-- Extra com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nSegredos e Dicas (WALKTHROUGH & NOTES):");

	-- adiciona (append) as informações extras sobre essa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\nRecompensa: Saindo da Pobreza...\n\nItens iniciais: \n\nEsses itens já estão equipados no Início da Missão, dependendo da Classe do Personagem. Eles também são adquiridos se o Tutorial for ignorado.\n\nMedium Armour (Armadura Média): \n\nLeather Shoulder Guards - Guardian (Protetores de Ombro de Couro - Guardião)\nLeather Shirt - Guardian (Camisa de Couro - Guardião)\nLeather Gauntlets - Guardian (Manoplas de Couro - Guardião)\nQuilted Leggings - Guardian (Perneiras Acolchoada - Guardião)\nLeather Boots - Guardian (Botas de Couro - Guardião)\nLeather Shirt - Warden (Camisa de Couro - Lanceiro)\nLeather Leggings - Warden (Perneiras de Couro - Lanceiro)\nLeather Shoes - Warden (Sapatos de Couro - Lanceiro)\n\nLight Armour (Armadura Leve): \n\nCloth Gloves - Burglar (Luvas de Pano - Ladrão)\nQuilted Leggings - Burglar (Perneiras Acolchoada - Ladrão)\nCloth Waistcoat - Hunter (Colete de Pano - Caçador)\nCloth Pants - Hunter (Calças de Pano - Caçador)\nPadded Shoes - Burglar and Hunter (Sapatos Acolchoados - Ladrão e Caçador)\nQuilted Shirt - Burglar and Minstrel (Camisa acolchoada - Ladrão e Menestrel)\nQuilted Leggings - Minstrel (Perneiras Acolchoada - Menestrel)\nPadded Shoes - Minstrel (Sapatos Acolchoados - Menestrel)\n\nWeapons and Equipment (Armas e Equipamentos): \n\nWeak Mace - Guardian and Minstrel (Maça Fraca - Guardião e Menestrel)\nDull Knife - Burglar and Hunter(x2) (Faca Lenta - Ladrão e Caçador (x2))\nSplit Kite Shield - Guardian (Escudo de Pipa Dividido - Guardião)\nFragile Shortbow - Hunter (Arco Curto Frágil - Caçador)\nCracked Spear - Warden (Lança Rachada - Lanceiro)\nSplit Wide Shield - Warden (Escudo Largo Dividido - Lanceiro)\n\nItens adquiridos durante a Missão: \n\nEsses itens são obtidos no Início da Missão. Eles não são recebidos se o jogador optar por Pular o Tutorial.\n\nKnife - Burglar (x2), Hunter and Minstrel (Faca - Ladrão (x2), Caçador e Menestrel)\nHatchet - Guardian (Machadinha - Guardião)\nWood Kite Shield - Guardian (Escudo de Pipa de Madeira - Guardião)\nStick Bow - Hunter (Arco de Galho Seco - Caçador)\nWood Spear - Warden (Lança de Madeira - Lanceiro)\nStick Javelin - Warden (Dardo de Galho Seco - Lanceiro)\nWide Shield - Warden (Escudo Largo - Lanceiro)\n\nNOTA_1: Esta é a Missão do Tutorial e se for ignorada, o jogador optar por Pular o Tutorial no início do jogo, então será iniciada na próxima Missão, que é a Missão da Prisão.\n\nNOTA_2: Um Passo a Passo para quem ainda não entendeu...\n\n1- Subir a Estrada;\n\n2- Falar com Bounder Boffin (Patrulheiro Boffin);\n\n3- Obter o Equipamento na Bolsa de Boffin;\n\n4- Conhecer brevemente Frodo Baggins (Bolseiro) e seus amigos, antes que eles se escondam do temível Black River (Cavaleiro Sombrio - Espectral);\n\n5- Provar / Treinar as Habilidades de Combate contra Boffin;\n\n6- Seguir Boffin, lutar contra Aranhas - (Wood Spider e Wood Weaver);\n\n7- Seguir Boffin em direção à Old Odo's Leaf-farm (fazenda de folhas do Velho Odo) e lutar contra Aranhas;\n\n8- Conhecer, Celandine Brandybuck e Mundo Sackville-Baggins (Bolseiro) que são perseguidos por Bandidos de Blackwold;\n\n9- O Personagem é levado cativo e acorda atrás das grades (com fome e sede);\n\n10- Falar com o Strider;\n\n11- Seguir Strider e presenciar Amdir sendo subjugado; \n\n12- Boffin, Celandine e Mundo juntam-se;\n\n13- Falar com Strider e finalizar a instância.\n\n14- Não esquecer da Recompensa, o Personagem sofreu muito para conseguir obtê-la.");

	-- Créditos e Autoria com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nCréditos e Autoria: ");

	-- adiciona (append) as informações extras sobre essa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("lykosfx");

	--Cria uma barra de rolagem vertical para o label
	v_scrollbar=Turbine.UI.Lotro.ScrollBar();
	v_scrollbar:SetParent(self.window);
	v_scrollbar:SetPosition(self.label:GetWidth(),self.label:GetTop());
	v_scrollbar:SetSize(10, self.label:GetHeight());
	v_scrollbar:SetOrientation(Turbine.UI.Orientation.Vertical);
	self.label:SetVerticalScrollBar(v_scrollbar);

	self.window.SizeChanged = function (sender, args)
		local window_width, window_height = self.window:GetSize();

		self.label:SetSize(window_width-30, window_height-70);
		v_scrollbar:SetPosition(self.label:GetWidth(),self.label:GetTop());
		v_scrollbar:SetSize(10, self.label:GetHeight());
		--Turbine.Shell.WriteLine("Width:"..window_width..", Height:"..window_height); 
	end

	Window.Start(self);
end

function A_Road_Through_the_Dark:Stop()
	--Liberando memória da Janela.
	self.window = nil;
	Window.Stop(self);
end
RegisterWindow(A_Road_Through_the_Dark()); 